import { Direction, Alignment, Justification } from '../ui';
export interface IFlexParam {
    flex?: boolean;
    direction?: Direction;
    alignment?: Alignment;
    justification?: Justification;
    fix?: boolean;
}
export declare class Wrapper {
    private _template;
    constructor(_template: string);
    private _stylesObj;
    private _attrsObj;
    private _classes;
    private _flexDefaults;
    withStyles: (styles: any) => this;
    withAttrs: (attrs: any) => this;
    withWidth: (width: string) => this;
    withHeight: (height: string) => this;
    withMaxWidth: (width: string) => this;
    withMaxHeight: (height: string) => this;
    withFlex: (params?: IFlexParam) => this;
    withClass(className: string): this;
    build(): string;
}
export declare const wrapper: (template: string) => Wrapper;
